<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraRodadaGrupoFase.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraGrupoPorFase.xhtml" value="#{msg['pages.cadastraGrupoPorFase.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraRodadaGrupoFase.title']}"/></h1>
		<h:form id="mostraRodada">
			<p:dataTable var="aux"
					 value="#{rodadaManagedBeans.rodadasGrupo}"
					 id="tabelaRodada"
					 eidtable="true" paginator="true"
					 rows="5"
					 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					 rowsPerPageTemplate="5,10,15"
					 selectionMode="single" selection="#{rodadaManagedBeans.rodadaSelecionada}"
					 rowkey="#{aux.numero}">
				<!-- 
				<p:ajax event="rowEdit" listener="#{rodadaManagedBeans.onRowEdit}"
                update="tabelaRodada"/> -->
                <p:ajax event="rowSelect"/>
          		<p:ajax event="rowUnselect"/>
					 
				<p:column filterBy="#{aux.numero}" headerText="#{msg['pages.cadastraRodada.numero']}">
					<p:outputLabel value="#{aux.numero}" />
				</p:column>
					 
				<p:column headerText="#{msg['pages.cadastraRodada.grupo']}">
					<p:outputLabel value="#{rodadaManagedBeans.grupoSelecionado.numero}" />
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraRodada.partidas']}">
					<p:commandButton action="cadastraPartida.xhmtl?faces-redirect=true" icon="ui-icon-plus">
						<f:setPropertyActionListener value="#{rodadaManagedBeans.rodadaSelecionada}"
						 target="#{partidaManagedBeans.rodadaSelecionada}"/>
					</p:commandButton>
					<p:commandButton action="mostraPartida.xhmtl?faces-redirect=true" icon="ui-icon-search">
						<f:setPropertyActionListener value="#{rodadaManagedBeans.rodadaSelecionada}"
						 target="#{partidaManagedBeans.rodadaSelecionada}"/>
					</p:commandButton>
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<!-- <p:rowEditor /> -->
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{rodadaManagedBeans.remover(aux)}"
						update="tabelaRodada" />
	  			</p:column>
			</p:dataTable>
		</h:form>
	</ui:define>

</ui:composition>